<?php

namespace common\logic\User\UserGroup\Wrapper;

use common\logic\AbstractContainer;
use common\logic\User\UserGroup\Model\UserGroup;
use common\logic\User\UserGroup\Repository\UserGroupRepository;
use common\logic\User\UserGroup\Service\UserGroupBuilder;

class UserGroupContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return UserGroup::class;
    }

    public function getServices(): array
    {
        return [
            UserGroupBuilder::class,
            UserGroupRepository::class
        ];
    }

    public function getBuilder(): UserGroupBuilder
    {
        return UserGroupBuilder::getInstance();
    }

    public function getRepository(): UserGroupRepository
    {
        return UserGroupRepository::getInstance();
    }
}